=== debian/changelog ===
ogre-1.12 (1.12.5+dfsg1-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * Use current version of swig (4.0) as 3.0 is no longer build in bullseye
    (Closes: #956947)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Tue, 07 Apr 2020 21:04:19 +0200

ogre-1.12 (1.12.4+dfsg1-5) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Added patch find-sdl2.patch to be able to find SDL2.h (needed for
    ApplicationContext).
  * Added patch resources-cfg.patch to remove nonexistent resources from
    the configuration
  * Use SWIG 3.0 to generate the bindings. SWIG 4.0 is not supported at
    the moment. See: https://forums.ogre3d.org/viewtopic.php?t=95023
  [ Simon Schmeisser ]
  * boost is no longer needed, remove build dependency
  * tinyxml was replaced by pugixml
  * libois was replaced by sdl2
  * d/rules: plugins are versioned now, don't use subfolder any longer
  * d/control:
    - patchelf no longer needed
    - depend on python3-dev instead of python3-all-dev
  * d/patches:
    - add resourcehandle-sizet.diff: Avoids using 64bit atomics
    on 32bit systems (backported from upstream)
    - adapt patches to follow DEP-3
  * Bump Standards Version to 4.5.0 (no changes needed)

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Sat, 04 Apr 2020 21:04:19 +0200
