=== debian/changelog ===
ogre-1.12 (1.12.10+dfsg2-7) unstable; urgency=medium

  * Team upload.

  [ Sébastien Noel ]
  * Fix build with CMake 4 (Closes: #1113343)
  * Fix build against current libimgui-dev, v1.92.2 (Closes: #1114243)

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 05 Oct 2025 13:30:39 +0200

ogre-1.12 (1.12.10+dfsg2-6) unstable; urgency=medium

  * Team upload.
  * Source only upload after new

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Mar 2024 08:55:04 +0100

ogre-1.12 (1.12.10+dfsg2-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Team upload.
  * Add patch to fix FTBFS (Closes: #1064139)
  * Add patch for new swig.
    Thanks to Flavien Bridault (Closes: #1064139)
  * Add missing test dependency
  * Add patch for loongarch64 (and others)
    Thanks to Simon McVittie (Closes: #1055636)

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Mar 2024 13:39:09 +0100

ogre-1.12 (1.12.10+dfsg2-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix the mipsel FTBFS (Closes: #1002568)

  [ Jochen Sprickerhof ]
  * Add upstream patch to fix FTBFS (Closes: #1020188)
  * Fix Multi-Arch hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2022 20:44:44 +0200

ogre-1.12 (1.12.10+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with new ImGui (Closes: #1005498)
  * drop gitlab-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Mar 2022 10:14:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Jun 2021 21:39:29 +0200

ogre-1.12 (1.12.10+dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library package to match Soname (Closes: #989344)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jun 2021 16:37:07 +0200

ogre-1.12 (1.12.10+dfsg2-1) unstable; urgency=medium

  [ Simon Schmeisser ]
  * New upstream version
  * d/patches:
    - removed patches included upstream
    - add use-system-imgui.diff
    - fix OGRE_PLUGIN_DIR in OGREConfig.cmake
  * d/tests: add tests for python and cmake
  * d/copyright:
    - backport upstream removal of two unused headers with non-free licenses
  * do not install duplicate license information in non-standard format
  * Bump Standards Version to 4.5.1 (no changes needed)
  [ Pavel Rojtberg ]
  * fix discovery of CMake modules
  * d/patches:
    - backported: do not export dependency on OgreGLSupport

 -- Simon Schmeisser <s.schmeisser@gmx.net>  Fri, 01 Jan 2021 10:04:19 +0200
