=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,16 @@
 export DEB_LDFLAGS_MAINT_APPEND  := -Wl,-z,defs -Wl,--as-needed
 endif
 
+# Reduce debug info to workaround address space limitation
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+    export DEB_CXXFLAGS_MAINT_APPEND += -g1
+endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 
 # Use this variable to define the particular version of OGRE that we're building
-OGRE_VERSION=1.12
-OGRE_VERSION_ABI_CHANGE=$(OGRE_VERSION)
+OGRE_SOVERSION=1.12.10
 
 OGRE_CHANGELOG = Docs/ChangeLog.md
 
@@ -42,6 +45,7 @@
 override_dh_auto_configure:
         # RPATH from http://www.ogre3d.org/tikiwiki/Building+Ogre+With+CMake
 	dh_auto_configure -- \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DOGRE_LIB_DIRECTORY="lib/$(DEB_HOST_MULTIARCH)" \
 		-DCMAKE_SKIP_RPATH:BOOL=TRUE \
 		-DOGRE_BUILD_RENDERSYSTEM_GLES2:BOOL=TRUE \
@@ -67,8 +71,8 @@
 
 override_dh_install-arch:
         # Copy files from template for this particular version
-	cp -f debian/libogre-VERSION.install debian/libogre-$(OGRE_VERSION_ABI_CHANGE).install
-	cp -f debian/libogre-VERSION.lintian-overrides debian/libogre-$(OGRE_VERSION_ABI_CHANGE).lintian-overrides
+	cp -f debian/libogreVERSION.install debian/libogre$(OGRE_SOVERSION)t64.install
+	cp -f debian/libogreVERSION.lintian-overrides debian/libogre$(OGRE_SOVERSION)t64.lintian-overrides
 
         # docs installed in other way
         #rm -rfv debian/tmp/usr/share/OGRE/docs
@@ -79,7 +83,7 @@
 	dh_install -a
 
 override_dh_dwz:
-	dh_dwz -XlibOgreMain.so.1.12.5 -XPlugin_OctreeZone.so.1.12.5
+	dh_dwz -XlibOgreMain.so.1.12.10 -XPlugin_OctreeZone.so.1.12.10
 
 override_dh_install-indep:
         # remove .md5, .map and other files that we do not want installed
@@ -101,11 +105,11 @@
 	dh_clean
 
         # Remove files from template
-	rm -rf debian/libogre-$(OGRE_VERSION).*
+	rm -rf debian/libogre$(OGRE_SOVERSION).*
 
 # For new symbols when compiled with GCC 7
 override_dh_makeshlibs:
-	dh_makeshlibs -V"libogre-1.12 (>= 1.12.5+dfsg1-1~)"
+	dh_makeshlibs -V"libogre1.12.10t64 (>= 1.12.10+dfsg1-1~)"
 
 
 override_dh_shlibdeps:
